#
# spec file for package python-enchant
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-enchant
Version:        1.6.6
Release:        1.1
Summary:        Spell checking library for python
License:        LGPL-2.1
Group:          Productivity/Text/Spell
Url:            https://pythonhosted.org/pyenchant/
Source:         https://pypi.io/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz
BuildRequires:  enchant-devel
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{py_requires}
%else
BuildArch:      noarch
%endif

%description
PyEnchant (distributed as 'python-enchant') is a spellchecking library for
Python, based on the excellent Enchant library.

%prep
%setup -q -n pyenchant-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt TODO.txt
%{python_sitelib}/enchant
%{python_sitelib}/pyenchant-%{version}-py%{py_ver}.egg-info

%changelog
* Sun Dec 25 2016 mailaender@opensuse.org
- Update to version 1.6.Update to version 1.6.6
- Drop pyenchant-drop-bootstrap-distribute.patch
- Use https://en.opensuse.org/SourceUrls
* Fri Sep 13 2013 os-dev@jacraig.com
- Add pyenchant-drop-bootstrap-distribute.patch: don't use the distribute
  bootstrapping code, just use setuptools.  Fixes build that was broken by the
  attempt to download distribute.
- Spec file cleanup: remove extra whitespace
* Thu Jan  3 2013 toddrme2178@gmail.com
- Fix building on SLES 11
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Oct  2 2011 elchevive@opensuse.org
- updated to version 1.6.5
- remove patch (ez_setup.patch) as its corrected upstream (now it uses distribute)
- minor .spec enhancments (fdupes)
* Tue Dec 28 2010 nmarques@opensuse.org
- Initial package from source: pyenchant-1.5.1.tar.bz2
